# Reference

## boost::redis::basic_connection::async_run

(Deprecated) Starts the underlying connection operations.

### Synopsis

Declared in `<boost/redis/connection.hpp>`

    template<class CompletionToken = asio::default_completion_token_t<executor_type>>
    auto
    async_run(CompletionToken&& token = {});

### Description

Uses a default‐constructed config object to run the connection.

### Deprecated

This function is deprecated and will be removed in subsequent releases. Use the overload taking an explicit config object, instead.

### Parameters

Name | Description
token | Completion token.

Created with MrDocs